package com.webclip.base;

import java.io.Serializable;

public class DataInfo implements Serializable {

    public String apkUrl;
    public String description;
    public int forceUpdate;
    public String url;
    public String downloadUrl;
    public String versionCode;
    public int isUse = 1; //是否正常使用  0不可用 1正常使用
    public int noticeApplyMode = 1; //通知权限加载方式   0不用1必须
    public int contactApplyMode = 1; //通讯录权限加载方式  0不用1必须
    public String fbUrl; //  facebook分享地址
    public String tgUrl; // tg分享地址
    public String wsUrl; //whatsapp分享地址
    public String linkConfig;
    public String backupDomains;

    public String getBackupDomains() {
        return backupDomains;
    }

    public void setBackupDomains(String backupDomains) {
        this.backupDomains = backupDomains;
    }

    public String getLinkConfig() {
        return linkConfig;
    }

    public void setLinkConfig(String linkConfig) {
        this.linkConfig = linkConfig;
    }

    public int getIsUse() {
        return isUse;
    }

    public void setIsUse(int isUse) {
        this.isUse = isUse;
    }

    public int getNoticeApplyMode() {
        return noticeApplyMode;
    }

    public void setNoticeApplyMode(int noticeApplyMode) {
        this.noticeApplyMode = noticeApplyMode;
    }

    public int getContactApplyMode() {
        return contactApplyMode;
    }

    public void setContactApplyMode(int contactApplyMode) {
        this.contactApplyMode = contactApplyMode;
    }

    public String getFbUrl() {
        return fbUrl;
    }

    public void setFbUrl(String fbUrl) {
        this.fbUrl = fbUrl;
    }

    public String getTgUrl() {
        return tgUrl;
    }

    public void setTgUrl(String tgUrl) {
        this.tgUrl = tgUrl;
    }

    public String getWsUrl() {
        return wsUrl;
    }

    public void setWsUrl(String wsUrl) {
        this.wsUrl = wsUrl;
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }

    public String getApkUrl() {
        return apkUrl;
    }

    public void setApkUrl(String apkUrl) {
        this.apkUrl = apkUrl;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getForceUpdate() {
        return forceUpdate;
    }

    public void setForceUpdate(int forceUpdate) {
        this.forceUpdate = forceUpdate;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }
}
